Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class CardInformation

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.CardInformation

All Implemented Interfaces:
  Serializable

public class CardInformation
extends BaseEntity
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`CardInformation()`
`CardInformation(CardUsage[] cardHistory, int historySize, int startsFrom, String sortBy, String sortOrder)`

Method Summary
`CardUsage[]` | `getCardHistory()` Gets the cardHistory value for this CardInformationTO.
`int` | `getHistorySize()`
`String` | `getSortBy()`
`String` | `getSortOrder()`
`int` | `getStartsFrom()`
`void` | `setCardHistory(CardUsage[] cardHistory)` Sets the cardHistory value for this CardInformationTO.
`void` | `setHistorySize(int historySize)`
`void` | `setSortBy(String sortBy)`
`void` | `setSortOrder(String sortOrder)`
`void` | `setStartsFrom(int startsFrom)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardInformation

    public CardInformation(CardUsage[] cardHistory,
                           int historySize,
                           int startsFrom,
                           String sortBy,
                           String sortOrder)

### CardInformation

    public CardInformation()

Method Detail

### getCardHistory

    public CardUsage[] getCardHistory()

  Gets the cardHistory value for this CardInformationTO.

  Returns:
    cardHistory

### setCardHistory

    public void setCardHistory(CardUsage[] cardHistory)

  Sets the cardHistory value for this CardInformationTO.

  Parameters:
    `cardHistory` -

### getHistorySize

    public int getHistorySize()

### setHistorySize

    public void setHistorySize(int historySize)

### getSortBy

    public String getSortBy()

### setSortBy

    public void setSortBy(String sortBy)

### getSortOrder

    public String getSortOrder()

### setSortOrder

    public void setSortOrder(String sortOrder)

### getStartsFrom

    public int getStartsFrom()

### setStartsFrom

    public void setStartsFrom(int startsFrom)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD